Bug 436189 - applets do not show on panels after system restart
applets do not show on panels after system restart
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-05 15:31 EST by Tim Harvey
Modified: 2008-06-16 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 23:03:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Harvey 2008-03-05 15:31:39 EST
Under a specific user (not all users on system) after a system restart or
re-login of that user applets refuse to show on the panel(s) they are configured
to show on.

The only way I can get the applets to appear is to manually restart the applet,
then re-add it to the panel(s).  For example, the clock-applet:
  pkill clock-applet; /usr/libexec/clock-applet &
  ;# re-add to the panel via the GUI

I've tried to default my gnome config in the following ways which does default
them but still shows the issue:
 pkill gconfd-2; rm -rf ~/.gconf ;# relogin
 gconftool-2 --recursive-unset /apps/panel ;# relogin

Version info:
 - gnome-panel-2.18.3-1.fc7
 - gtk2-2.10.14-3.fc7
 - glib-1.2.10-26.fc7

Note that when I do kill an applet that is failing to show on a panel I do get
the 'applet quit unexpectedly' dialog from which I click 'do not reload'.  This
shows that the applets are not crashing they simply do not show.

Because this is user-specific, I'm convinced its an issue with some config
file(s) in my user directory however I've been unable to pinoint which file(s).
 Perhaps the issue is that the effective contents of some files are cached and
simply rm -rf'ing them does not do the trick (I learned this was the case with
the contents of the .gconf directory)
Comment 1 Bug Zapper 2008-05-14 11:21:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 23:03:09 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.